function S=gitinfo()
% FUNCTION fc_tools.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2016-2018 F. Cuvelier
%
  S=struct('name','fc-tools', 'tag','0.0.23','commit','5728a827d9e6b883bb8ba8005a83a1a3f7d16be8','date', '2018-05-14','time','14-32-51','status',0);return; % automatically updated
  rep=fc_tools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-tools','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
